<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_a5e22fe41a6e4288b56df7" . "8f2f278f8f" => base64_decode("cHJldl9wYXJlbnRfaW" . "Q="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl" . "0bG" . "U="), "_6e38cb9e043a07cd" . "69a1711a6704c62a" => base64_decode("cGFyZW50X2" . "lk"), "_b2f5a100451164396178c16d2a5c6" . "899" => base64_decode("cHJldl90aXRs" . "ZQ=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b2f5a100451164396178" . "c16d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_a5e22fe41a" . "6e4288b56df" . "78f2f278f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_6e38cb9e" . "043a07cd6" . "9a1711a67" . "04c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}